;;;---------------------------------------------------------------
;;; Copyright by R. Robert Bell, MCSE Network Administrator
;;; so geht's: (DelAllLayouts "Layout1") lscht alle Layouts bis auf "Layout1"
;;; und jetzt das Spaige an dem Programm: Wenn man statt eines Layoutnamen einfach nur "" bergibt, werden alle (!!!) Layouts gelscht und ein neues, leeres wird angelegt.
;;;
;;; CADchup@cad.de
;;;---------------------------------------------------------------
(defun DelAllLayouts (Keeper / TabName)
  (vl-load-com)
  (vlax-for Layout (vla-get-Layouts
		     (vla-get-activedocument (vlax-get-acad-object))
		   )
    (if
      (and (/= (setq TabName (strcase (vla-get-name layout))) "MODEL")
	   (/= TabName (strcase Keeper))
      )
       (vla-delete layout)
    )
  )
)